Skip to main content
POST
/
trigger
Trigger Full Request
curl --request POST \
  --url https://api.brightdata.com/datasets/deep_lookup/v1/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "preview_id": "<string>",
    "result_limit": 123
  }
]
'
{
  "request_id": "<string>",
  "max_cost": "$50.00"
}

Documentation Index

Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt

Use this file to discover all available pages before exploring further.

The steps array with detailed processing stages is available but typically used for internal debugging.

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Body

application/json
preview_id
string
required

ID of the preview request to trigger

Example:

"dld_meu4lhla1lj08i6p30"

result_limit
integer

Limit the number of results returned

Example:

100

Response

200 - application/json

Research triggered successfully

request_id
string
Example:

"ai_meu3z0171o8k9jc4dh"

status
enum<string>
  • queued - Request is waiting to be processed
  • running - Research in progress
Available options:
queued,
running
Example:

"queued"

max_cost
string
Example:

"$50.00"